# vim: filetype=yaml sw=2
version: '[% c("abbrev") %]'
git_url: https://github.com/xiaokangwang/dtls
git_hash: 16e5cc8ce01c0262e4d945b7fe90eba4d7d58ce5 #v2.1.5+patch
filename: '[% project %]-[% c("version") %]-[% c("var/osname") %]-[% c("var/build_id") %].tar.gz'
container:
  use_container: 1

build: '[% c("projects/go/var/build_go_lib") %]'

var:
  go_lib: github.com/pion/dtls
  go_lib_deps:
    - goxcrypto
    - goxnet
    - goxxerrors
    - pion-logging
    - pion-transport
    - pion-udp

input_files:
  - project: container-image
  - name: go
    project: go
  - name: goxcrypto
    project: goxcrypto
  - name: goxnet
    project: goxnet
  - name: goxxerrors
    project: goxxerrors
  - name: pion-logging
    project: pion-logging
  - name: pion-transport
    project: pion-transport
  - name: pion-udp
    project: pion-udp
